/**
 * Copyright (c) 2024-2025 National Fundamental Software of China Co., Ltd.
 *
 * You should have find a copy of NFSChina License. If not, please contact us
 * by email <os_support@nfschina.com>
 *
**/

import QtQuick 2.7
import QtQuick.Layouts 1.3
import QtQuick.Controls 2.0

import org.kde.kcoreaddons 1.0 as KCoreAddons
import org.kde.kcm 1.3
import org.kde.kirigami 2.13 as Kirigami
import org.kde.plasma.core 2.1 as PlasmaCore
import org.kde.plasma.private.volume 0.1
import QtGraphicalEffects 1.15


Kirigami.Page {
    id: systemSoundsConfigPage
    title: i18n("System Sounds")

    property var config
    property var bordercolor:PlasmaCore.Theme.viewBackgroundColor=="#ffffff" ? "#CCCCCC" : "#2D2D2D"
    property var backgroundcolor: PlasmaCore.Theme.viewBackgroundColor

    Sounds {
        id: sounds
    }

    Rectangle {
        id: customizeRect
        anchors.top: parent.top
        anchors.topMargin: 6
        anchors.horizontalCenter: parent.horizontalCenter
        color: backgroundcolor
        height: content.implicitHeight
        width:558
        border.color: bordercolor
        border.width: 1
        radius: 10

        clip: true
        layer.enabled: true
        layer.effect: OpacityMask {
            maskSource: Rectangle {
                width: customizeRect.width
                height: customizeRect.height
                radius: customizeRect.radius
            }
        }

        ColumnLayout {
            id: content
            anchors.fill: parent
            spacing: 0
            SystemSoundsItem {
                name: "Login"
            }
            SystemSoundsItem {
                name: "Logout or Shutdown"
            }
            SystemSoundsItem {
                name: "Wake up"
            }
            SystemSoundsItem {
                name: "Plug"
            }
            SystemSoundsItem {
                name: "Unplug"
            }
            SystemSoundsItem {
                name: "Unlocked"
            }
            SystemSoundsItem {
                name: "Trash Empty"
            }
            SystemSoundsItem {
                name: "Volume Adjust"
            }
            SystemSoundsItem {
                name: "Add Launcher"
            }
        }
    }
}
